Subject: bug#6539: ispell-complete-word looks for wrong file (at least on w32)

From: Lennart Borgman <[email-masked]>
Date: Mon, 5 Jul 2010 19:32:33 +0200

On Mon, Jul 5, 2010 at 7:23 PM, Eli Zaretskii <[email-masked]> wrote:
>> Date: Mon, 5 Jul 2010 13:52:22 +0200
>> From: Agustin Martin <[email-masked]>
>> Cc:
>>
>> However, docstrings and error handling for this complete-word stuff needs
>> to be improved, so it provides useful and accurate information. I am
>> currently trying something like attached patch where
>> `ispell-alternate-dictionary' is set to nil if no default is found and
>> checked before use. I find error message too long, but better that before.
>> As usually, suggestions are welcome.
>
> For the error message, just put 2 spaces between the sentences, as we
> do everywhere in Emacs.
>
> For the rest, the patch looks fine, but why not test /usr/dict/words
> with file-readable-p as well?  Then, if it does not exist, the
> defcustom will evaluate to nil, and the error message will be even
> more to the point.

Such a test will make things even worse with unix style file names on
w32 since they with these paths Emacs will look on the current drive.
That does not have to be the same drive next time the library is
loaded.